insert into project.roles (roleid, roledescription, rolename) values
(default, 'Basic user', 'User'),
(default, 'Administrator', 'Administrator');

insert into project.users (userid, userusername, userpassword, username, usersurname, userpictureurl, useremail, userphonenumber, roleid) values
(default, 'stefanTodorovski2', 'password1', 'Stefan', 'Todorovski', null, 'todorovskistefan@gmail.com', '072300300', 1),
(default, 'katerinaSmilevska', 'password2', 'Katerina', 'Smilevska', null, 'smilevskakaterina@gmail.com', '070322000', 1),
(default, 'mihailPetrovski12', 'password3', 'Mihail', 'Petrovski', null, 'petrovskimihail@gmail.com', '078888932', 1),
(default, 'jovanaTodorov2232', 'password4', 'Jovana', 'Todorov', null, 'todorovjovana@yahoo.com', '079234986', 1),
(default, 'jovantrajkoski420', 'password5', 'Jovan', 'Trajkoski', null, 'trajkoskijovan@gmail.com', '077128432', 1);

insert into project.manufacturers (manufacturerid, manufacturername, manufacturercountry ) values
(default, 'Samsung', 'South Korea'),
(default, 'Apple', 'USA'),
(default, 'Sony', 'Japan'),
(default, 'North Edge', 'UK'),
(default, 'Dell', 'USA'),
(default, 'HP', 'USA'),
(default, 'Philips', 'Netherlands'),
(default, 'Google', 'USA');

insert into project.Categories (categoryid, categoryname) values
(default, 'Mobile phones and smartwatches'),
(default, 'TVs and equipment'),
(default, 'Laptops and equipment');

insert into project.categories (parentcategoryid, categoryname)
select
	(select categoryid from project.Categories where categoryname = 'Mobile phones and smartwatches'),
	v.cn
from
	(values ('Mobile phones'), ('Smartwatches')) as v (cn)
;

insert into project.categories (parentcategoryid, categoryname)
select
	(select categoryid from project.Categories where categoryname = 'TVs and equipment') ,
	v.cn
from
	(values ('TVs')) as v (cn)
;

insert into project.categories (parentcategoryid, categoryname)
select
	(select categoryid from project.Categories where categoryname = 'Laptops and equipment') ,
	v.cn
from
	(values ('Laptops')) as v (cn)
;

insert into project.productCharacteristics (characteristicid, characteristicDescription) values
(default, 'Apple phone 1'),
(default, 'Apple phone 2'),
(default, 'Samsung phone 1'),
(default, 'Samsung phone 2'),
(default, 'Samsung phone 3'),
(default, 'Apple watch 1'),
(default, 'Apple watch 2'),
(default, 'Samsung watch 1'),
(default, 'Samsung watch 2'),
(default, 'North Edge watch 1'),
(DEFAULT, 'North Edge watch 2'),
(default, 'Sony TV 1'),
(default, 'Sony TV 1'),
(default, 'Philips TV 1'),
(default, 'Philips TV 2'),
(default, 'Dell Laptop 1'),
(default, 'Dell Laptop 2'),
(default, 'HP Laptop 1'),
(default, 'HP Laptop 2'),
(default, 'Google phone');

insert into project.products (productid, productName, postdate, manufacturerid, categoryid, characteristicid) values
(default, 'iPhone 13', '2020-11-20', 2, 1, 1),
(default, 'iPhone 14', '2022-09-24', 2, 1, 2),
(default, 'Galaxy S22', '2021-07-03', 1, 1, 3),
(default, 'Galaxy A33', '2022-10-13', 1, 1, 4),
(default, 'Galaxy A50', '2022-05-06', 1, 1, 5),
(default, 'Watch SE2', '2019-08-30', 2, 1, 6),
(default, 'Watch Series 7', '2018-12-04', 2, 1, 7),
(default, 'Galaxy Watch 4', '2020-12-05', 1, 1, 8),
(default, 'Galaxy Watch 3', '2021-02-13', 1, 1, 9),
(default, 'Healthcare Watch', '2021-04-16', 4, 1, 10),
(default, 'GAVIA watch', '2018-04-12', 4, 1, 11),
(default, 'BRAVIA XR 65', '2022-01-13', 3, 2, 12),
(default, 'BRAVIA XR 75', '2021-02-10', 3, 2, 13),
(default , '4K UHD LED', '2020-06-13', 7, 2, 14),
(default, 'Ultra Slim UltraHD Smart LED', '2019-10-10', 7, 2, 15),
(default, 'Vostro 3510', '2021-02-19', 5, 3, 16),
(default, 'Latitude 5530', '2019-11-12', 5, 3, 17),
(default, 'Spectre x360', '2022-05-17', 6, 3, 18),
(default, 'Chromebook x2', '2022-12-13', 6, 3, 19),
(default, 'Pixel 6a', '2022-12-27', 8, 1, 20);

insert into project.userFavourites (userfavouriteid, userid, productid) values
(default, 1, 8),
(default, 1, 5),
(default, 2, 4),
(default, 3, 7),
(default, 3, 9),
(default, 4, 14),
(default, 2, 18),
(default, 1, 13),
(default, 1, 18),
(default, 4, 3),
(default, 3, 10),
(default, 4, 19),
(default, 5, 11),
(default, 5, 8),
(default, 3, 5),
(default, 4, 8),
(default, 4, 5);

insert into project.userComments (commentId, userComment, userId, productId) values
(default, 'Amazing product, would recommend.', 1, 3),
(default, 'Not very satisfied. Low quality camera.', 1, 1),
(default, '10/10 product, loved it!', 2, 2),
(default, 'Just got it. Seems fine.', 2, 13),
(default, 'Just as described.', 3, 10),
(default, 'Great watch!', 3, 7),
(default, 'Low resolution, would not recommend.', 5, 13),
(default, 'Very satisfied. 10/10', 4, 18);

insert into project.ratings (ratingid, ratingvalue, userid, productid) values
(default, 5, 1, 3),
(default, 4, 1, 5),
(default, 5, 2, 9),
(default, 3, 2, 12),
(default, 1, 3, 4),
(default, 5, 5, 18),
(default, 4, 5, 11),
(default, 4, 4, 4),
(default, 1, 2, 10),
(default, 2, 3, 11),
(default, 3, 5, 7);

insert into project.watchListProducts (watchlistproductid, pricelimit, userid ,productid) values
(default, 20000, 1, 5),
(default, 40000, 1, 7),
(default, 35000, 2, 8),
(default, 27000, 3, 4),
(default, 14000, 3, 9),
(default, 29000, 1, 10);

insert into project.productImages (productimageid, productimageurl, productid) values
(default, 'dummyvalue1', 1),
(default, 'dummyvalue2', 2),
(default, 'dummyvalue3', 3),
(default, 'dummyvalue4', 4),
(default, 'dummyvalue5', 5),
(default, 'dummyvalue6', 6),
(default, 'dummyvalue7', 7),
(default, 'dummyvalue8', 8),
(default, 'dummyvalue9', 9),
(default, 'dummyvalue10', 10),
(default, 'dummyvalue11', 11),
(default, 'dummyvalue12', 12),
(default, 'dummyvalue13', 13),
(default, 'dummyvalue14', 14),
(default, 'dummyvalue15', 15),
(default, 'dummyvalue16', 16),
(default, 'dummyvalue17', 17),
(default, 'dummyvalue18', 18),
(default, 'dummyvalue19', 19),
(default, 'dummyvalue20', 20);

insert into project.stores (storeId, storename) values
(default, 'Anhoch'),
(default, 'Setec'),
(default, 'Neptun'),
(default, 'Ledikom'),
(default, 'iStyle');

insert into project.productinstances (productinstanceid, productinstanceprice, productid, storeid) values
(default, 37050, 1, 1),
(default, 36000, 1, 2),
(default, 57350, 2, 1),
(default, 60400, 2, 3),
(default, 78990, 3, 3),
(default, 80000, 3, 5),
(default, 68970, 3, 1),
(default, 24000, 5, 1),
(default, 25000, 4, 1),
(default, 28700, 4, 2),
(default, 27000, 5, 2),
(default, 28980, 6, 1),
(default, 32090, 7, 2),
(default, 15660, 8, 2),
(default, 13990, 8, 4),
(default, 20180, 9, 1),
(default, 50500, 10, 5),
(default, 10870, 11, 2),
(default, 18900, 11, 4),
(default, 34000, 12, 1),
(default, 87000, 12, 3),
(default, 37000, 12, 5),
(default, 25600, 13, 1),
(default, 37580, 14, 3),
(default, 12000, 15, 4),
(default, 13500, 15, 5),
(default, 14670, 16, 2),
(default, 50700, 17, 2),
(default, 35890, 18, 2),
(default, 31650, 18, 5),
(default, 30000, 19, 1),
(default, 35500, 19, 4),
(default, 38000, 1, 3),
(default, 59000, 2, 3),
(default, 36600, 5, 3),
(default, 12500, 4, 3),
(default, 14490, 6, 3),
(default, 27890, 12, 3),
(default, 53870, 9, 3),
(default, 34860, 11, 3),
(default, 54900, 13, 3),
(default, 13000, 19, 3),
(default, 22600, 20, 2);

insert into project.belongs_to (productId, categoryId) values
(1, 4),
(2, 4),
(3, 4),
(4, 4),
(5, 4),
(6, 5),
(7, 5),
(8, 5),
(9, 5),
(10, 5),
(11, 5),
(12, 6),
(13, 6),
(14, 6),
(15, 6),
(16, 7),
(17, 7),
(18, 7),
(19, 7),
(20, 4);
